Bug 132435 - Font selection drop down menu expands right and button is too narrow
Summary: Font selection drop down menu expands right and button is too narrow
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Fonts-Name-Combobox
  Show dependency treegraph
 
Reported: 2020-04-26 16:34 UTC by Michel Le Bihan
Modified: 2020-06-24 17:38 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Font selection drop down menu expanded (75.65 KB, image/png)
2020-04-26 16:35 UTC, Michel Le Bihan
Details
Comparison of font selection drop down button width (70.42 KB, image/png)
2020-04-26 16:40 UTC, Michel Le Bihan
Details
Screenshot 6.3 vs. 7.0 (24.38 KB, image/png)
2020-05-12 07:31 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Le Bihan 2020-04-26 16:34:24 UTC
Description:
Font selection drop down menu expands right and button is too narrow. It is more narrow that the one in LO 6.4.

Steps to Reproduce:
Open any LO app.

Actual Results:
Font selection drop down expands right

Expected Results:
I think that expanding to the bottom is the most natural and is the behavior of older LO versions. If expanding right is intended, that the arrow should probably be changed.


Reproducible: Always


User Profile Reset: No



Additional Info:
Wersja: 7.0.0.0.alpha0+ (x64)
Identyfikator kompilacji: f924658e45f256544e43c3fdb2af9b585d0f0933
Wątki CPU: 2; System operacyjny: Windows 10.0 Build 19041; Render UI: Skia/Raster; VCL: win; 
Ustawienia regionalne: pl-PL (pl_PL); Język UI: pl-PL
Calc: threaded

Windows [Version 10.0.19041.84]
Comment 1 Michel Le Bihan 2020-04-26 16:35:19 UTC
Created attachment 159963 [details]
Font selection drop down  menu expanded
Comment 2 Michel Le Bihan 2020-04-26 16:40:55 UTC
Created attachment 159964 [details]
Comparison of font selection drop down button width
Comment 3 Roman Kuznetsov 2020-05-11 09:52:00 UTC
confirm in

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 2f4172fc48aab38c64851ba3a384bd6c7c180634
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win; 
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded

but not in 6.4 => regression
Comment 4 Heiko Tietze 2020-05-12 07:28:49 UTC
Caolan, I thought the MAX_MRU_FONTNAME_ENTRIES = 5 controls the number of entries shown in menus (should be 8 by default). Why is it much more, leading to a misplaced menu on Windows with a small screen, but also on Linux? I count 20+1 items.

For the control width, I think COMBO_WIDTH_IN_CHARS=18 or 20 is needed (which makes the toolbar larger). The expander button is just larger.
Comment 5 Heiko Tietze 2020-05-12 07:31:07 UTC
Created attachment 160711 [details]
Screenshot 6.3 vs. 7.0

Version: 7.0.0.0.alpha1+
Build ID: 8664137ca0f6683d86ee6498d12f7d174aa2a1fc
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

KDE with Breeze-Dark theme for Gtk apps.
Comment 6 Caolán McNamara 2020-05-12 08:09:30 UTC
MAX_MRU_FONTNAME_ENTRIES controls the number of elements in the "most recently used" portion of the menu, not the number of overall elements in the menu.

A normal vcl combobox lists show a maximum number of "ListBoxMaximumLineCount" lines as set by officecfg/registry/schema/org/openoffice/Office/Common.xcs which is 25 at the moment

That font dropdown contains custom rendered elements, but the height is currently set to approximately what height it would have if it was a normal combobox list, the positioning after that is whatever vcl always did when a menu got that high.

wrt widget width, there is no value which can be set there which does not cause complaint so leave that as a separate issue to the height.
Comment 7 Caolán McNamara 2020-05-12 14:59:33 UTC
https://gerrit.libreoffice.org/c/core/+/94065 wrt up/down placement of the menu if it wouldn't fit on screen
Comment 8 Commit Notification 2020-05-12 18:25:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/822f94e260b8351dc3459d2c05180af2de96d4c7

tdf#132435 only place menu vertically if up/down requested

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-05-13 17:30:02 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/535d857975e453401c0c455bdda82e1a81c7e110

Resolves tdf#132435 - Font selection drop down too narrow

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Heiko Tietze 2020-05-13 17:32:05 UTC
(In reply to Commit Notification from comment #9)
> https://git.libreoffice.org/core/commit/
> 535d857975e453401c0c455bdda82e1a81c7e110

This patch makes the dropdown show 18 characters, enough for the full font name as in the past. The toolbar becomes a bit larger by that. Together with Caolan's patch it's fixed now.
Comment 11 BogdanB 2020-06-24 17:38:54 UTC
It's ok. Verified in
Version: 7.0.0.0.beta2+
Build ID: 77e4943cc6cf206a45901e5c87fabf0f783c8262
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-7-0, Time: 2020-06-24_02:22:53
Calc: threaded